import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _CNSocialProfile extends _NSObject {
    static alloc(): _CNSocialProfile;
    static new(): _CNSocialProfile;
    init(): _CNSocialProfile;
    /** Returns a user displayable property name. */
    static localizedStringForKey$(key: _NSString): _NSString;
    /** Returns a user displayable service name. */
    static localizedStringForService$(service: _NSString): _NSString;
    initWithUrlString$username$userIdentifier$service$(urlString: _NSString | null, username: _NSString | null, userIdentifier: _NSString | null, service: _NSString | null): _CNSocialProfile;
    urlString(): _NSString;
    username(): _NSString;
    userIdentifier(): _NSString;
    service(): _NSString;
}
export interface _CNSocialProfile extends _NSCopying, _NSSecureCoding {
}
